> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranets-b2b-peering/consumer/{matchId}

> Create B2B extranet peering service consumer

## OpenAPI

````json POST /v1/extranets-b2b-peering/consumer/{matchId}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranets-b2b-peering/consumer/{matchId}": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "matchId",
            "in": "path",
            "required": true,
            "description": "ID of the match for the customer subscription of the service",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1ExtranetsB2bPeeringConsumerMatchIdPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetsB2bPeeringConsumerMatchIdPostResponse"
                }
              }
            }
          }
        },
        "description": "Create B2B extranet peering service consumer"
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetsB2bPeeringConsumerMatchIdPostRequest": {
        "type": "object",
        "properties": {
          "customerId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "globalObjectOps": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/manaV2GlobalObjectServiceOps"
            }
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "ID of the service which is being consumed by the customer (required)"
          },
          "nat": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bNat"
            }
          },
          "policy": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bExtranetPeeringServiceConsumerLanSegmentPolicy"
            }
          },
          "siteInformation": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bSiteInformation"
            }
          },
          "siteToSiteVpn": {
            "$ref": "#/components/schemas/manaV2GuestConsumerSiteToSiteVpnConfig"
          }
        },
        "additionalProperties": false,
        "required": [
          "id",
          "nat",
          "policy",
          "siteInformation"
        ]
      },
      "v1ExtranetsB2bPeeringConsumerMatchIdPostResponse": {
        "type": "object",
        "properties": {
          "consumerActivityId": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "lanSegment": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "nat": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bNat"
            }
          },
          "siteInformation": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bSiteInformation"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2GlobalObjectServiceOps": {
        "type": "object",
        "properties": {
          "routingPolicyOps": {
            "type": "object",
            "additionalProperties": {
              "type": "string",
              "example": "ENUM_VALUE"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bNat": {
        "type": "object",
        "properties": {
          "outsideNatPrefix": {
            "type": "string",
            "example": "100.1.2.0/24",
            "description": "Outside NAT prefix for the customer prefix"
          },
          "prefix": {
            "type": "string",
            "example": "10.1.2.0/24",
            "description": "Prefix imported into the service (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "prefix"
        ]
      },
      "manaV2B2bExtranetPeeringServiceConsumerLanSegmentPolicy": {
        "type": "object",
        "properties": {
          "consumerPrefixes": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "lanSegment": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bSiteInformation": {
        "type": "object",
        "properties": {
          "bwAllocationSiteLists": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Total Bandwidth allocation for the service on these site lists"
          },
          "bwAllocationSites": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Total Bandwidth allocation for the service on these sites"
          },
          "policerSiteLists": {
            "$ref": "#/components/schemas/manaV2Policer"
          },
          "policerSites": {
            "$ref": "#/components/schemas/manaV2Policer"
          },
          "siteLists": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011,
              "description": "Site list IDs where the service is deployed"
            }
          },
          "sites": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011,
              "description": "Site IDs where the service is deployed"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2GuestConsumerSiteToSiteVpnConfig": {
        "type": "object",
        "properties": {
          "emails": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "ipsecGatewayDetails": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayDetails"
          },
          "ipsecGatewayPeers": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayPeersConfig"
          },
          "regionId": {
            "type": "integer",
            "format": "int32",
            "example": 123
          }
        },
        "additionalProperties": false
      },
      "manaV2Policer": {
        "type": "object",
        "properties": {
          "burstSize": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Burst size for the policer (required)"
          },
          "bw": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Bandwidth for the policer (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "burstSize",
          "bw"
        ]
      },
      "manaV2IPsecGatewayDetails": {
        "type": "object",
        "properties": {
          "destinationAddress": {
            "type": "string",
            "example": "example string"
          },
          "ikeInitiator": {
            "type": "boolean",
            "example": true
          },
          "mtu": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "remoteIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "routing": {
            "$ref": "#/components/schemas/manaV2IpsecRoutingConfig"
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tunnel1": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "tunnel2": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "vpnProfile": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayPeersConfig": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "example string",
            "description": "Name of the IPsec gateway service"
          },
          "remotePeers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2IPsecGatewayRemotePeer"
            }
          },
          "routing": {
            "$ref": "#/components/schemas/manaV2IpsecRoutingConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2IpsecRoutingConfig": {
        "type": "object",
        "properties": {
          "bgp": {
            "$ref": "#/components/schemas/manaV2IPsecBgpRouteConfig"
          },
          "static": {
            "$ref": "#/components/schemas/manaV2IPsecStaticRouteConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayTunnelDetails": {
        "type": "object",
        "properties": {
          "insideIpv4Cidr": {
            "type": "string",
            "example": "example string"
          },
          "insideIpv6Cidr": {
            "type": "string",
            "example": "example string"
          },
          "localIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "psk": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayRemotePeer": {
        "type": "object",
        "properties": {
          "destinationAddress": {
            "type": "string",
            "example": "example string"
          },
          "ikeInitiator": {
            "type": "boolean",
            "example": true,
            "description": "When true, Graphiant initiates IKE for this peer"
          },
          "mtu": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string",
            "description": "Optional display name or label for this peer; used when generating tunnel names"
          },
          "remoteIkePeerIdentity": {
            "type": "string",
            "example": "example string",
            "description": "IKE identity of the remote peer"
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tunnel1": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "tunnel2": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "vpnProfile": {
            "type": "string",
            "example": "example string",
            "description": "Enterprise IPsec VPN profile name for this peer"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecBgpRouteConfig": {
        "type": "object",
        "properties": {
          "addressFamilies": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/manaV2NullableBgpNeighborAddressFamilyConfig"
            }
          },
          "holdTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "keepaliveTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "md5Password": {
            "$ref": "#/components/schemas/manaV2NullableMd5Password"
          },
          "peerAsn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "sendCommunity": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecStaticRouteConfig": {
        "type": "object",
        "properties": {
          "destinationPrefix": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableBgpNeighborAddressFamilyConfig": {
        "type": "object",
        "properties": {
          "family": {
            "$ref": "#/components/schemas/manaV2BgpNeighborAddressFamilyConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableMd5Password": {
        "type": "object",
        "properties": {
          "md5Password": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpNeighborAddressFamilyConfig": {
        "type": "object",
        "properties": {
          "addressFamily": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "inboundPolicy": {
            "$ref": "#/components/schemas/manaV2NullablePolicyName"
          },
          "outboundPolicy": {
            "$ref": "#/components/schemas/manaV2NullablePolicyName"
          }
        },
        "additionalProperties": false
      },
      "manaV2NullablePolicyName": {
        "type": "object",
        "properties": {
          "policy": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

